pioneers(6)

NAME
pioneers - network implementation of Settlers of Catan

SYNOPSIS
pioneers [ --server server ] [ --port port ] [ --name name ]

DESCRIPTION
This manual page documents briefly the pioneers command.

Pioneers is an implementation of the popular, award-winning "Settlers of Catan" board game for the GNOME desktop environment. It uses a client/server model for networked play of between two and eight players. You will need to connect to a machine running either pioneers-server-gtk or pioneers-server-console to play. An AI client, pioneersai, is also available.

OPTIONS
Pioneers accepts the standard GTK+/GNOME commandline options, and the following options:

-s, --server server
    Hostname of the server

-p, --port port
    Portname of the server

-n, --name name
    Use this name for the player instead of the name in the settings file

-v, --spectator
    Connect as spectator instead of as a player

-m, --metaserver metaserver
    Connect to this metaserver instead of the metaserver in the settings file

--debug
    Turn on debugging mode

--version
    Show the version and quit

When the server and port are both provided, the client automatically quits when the connection is broken.

ENVIRONMENT
The default settings can be influenced with the following environment variable:

PIONEERS_METASERVER
    The hostname of the metaserver. If it is not set, the default metaserver will be used.

FILES
/usr/local/share/pioneers/themes/*
    Themes for display of the map. Each theme goes in a separate subdirectory.
/usr/local/share/pixmaps/pioneers/*
    Icons
/usr/local/share/pixmaps/pioneers.png
    Main icon
$XDG_CONFIG_HOME/pioneers
    Saved settings
$XDG_DATA_HOME/pioneers/themes
    Personal themes

AUTHOR
This manual page was written by Steve Langasek <vorlon@debian.org>, and updated by Roland Clobus <rclobus@rclobus.nl>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution for a complete list of contributing authors.

SEE ALSO
More detailed user documentation is available in the online help.

pioneers-server-gtk(6), pioneers-server-console(6), pioneersai(6)